Upstream information

CVE-2019-14744 at MITRE

Description

In KDE Frameworks KConfig before 5.61.0, malicious desktop files and configuration files lead to code execution with minimal user interaction. This relates to libKF5ConfigCore.so, and the mishandling of .desktop and .directory files, as demonstrated by a shell command on an Icon line in a .desktop file.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5.1
Vector AV:N/AC:H/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity High
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 7.8
Vector CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
Access Vector Local
Access Complexity Low
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
CVSSv3 Version 3
SUSE Bugzilla entry: 1144600 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Package Hub for SUSE Linux Enterprise 12 SP1
  • kconf_update5 >= 5.20.0-8.1
  • kconfig-devel >= 5.20.0-8.1
  • kconfig-devel-32bit >= 5.55.0-lp151.2.5.1
  • kdelibs4 >= 4.14.18-14.1
  • kdelibs4-apidocs >= 4.14.18-14.1
  • kdelibs4-branding-upstream >= 4.14.18-14.1
  • kdelibs4-core >= 4.14.18-14.1
  • kdelibs4-doc >= 4.14.18-14.1
  • libKF5ConfigCore5 >= 5.20.0-8.1
  • libKF5ConfigCore5-32bit >= 5.55.0-lp151.2.5.1
  • libKF5ConfigCore5-lang >= 5.20.0-8.1
  • libKF5ConfigGui5 >= 5.20.0-8.1
  • libKF5ConfigGui5-32bit >= 5.55.0-lp151.2.5.1
  • libkde4 >= 4.14.18-14.1
  • libkde4-32bit >= 4.14.38-lp151.9.5.1
  • libkde4-devel >= 4.14.18-14.1
  • libkdecore4 >= 4.14.18-14.1
  • libkdecore4-32bit >= 4.14.38-lp151.9.5.1
  • libkdecore4-devel >= 4.14.18-14.1
  • libksuseinstall-devel >= 4.14.18-14.1
  • libksuseinstall1 >= 4.14.18-14.1
  • libksuseinstall1-32bit >= 4.14.38-lp151.9.5.1
Patchnames:
openSUSE-2019-1851
SUSE Package Hub for SUSE Linux Enterprise 12 SP2
  • kconf_update5 >= 5.26.0-8.1
  • kconfig-devel >= 5.26.0-8.1
  • kconfig-devel-32bit >= 5.55.0-lp151.2.5.1
  • kdelibs4 >= 4.14.25-13.1
  • kdelibs4-apidocs >= 4.14.25-13.1
  • kdelibs4-branding-upstream >= 4.14.25-13.1
  • kdelibs4-core >= 4.14.25-13.1
  • kdelibs4-doc >= 4.14.25-13.1
  • libKF5ConfigCore5 >= 5.26.0-8.1
  • libKF5ConfigCore5-32bit >= 5.55.0-lp151.2.5.1
  • libKF5ConfigCore5-lang >= 5.26.0-8.1
  • libKF5ConfigGui5 >= 5.26.0-8.1
  • libKF5ConfigGui5-32bit >= 5.55.0-lp151.2.5.1
  • libkde4 >= 4.14.25-13.1
  • libkde4-32bit >= 4.14.38-lp151.9.5.1
  • libkde4-devel >= 4.14.25-13.1
  • libkdecore4 >= 4.14.25-13.1
  • libkdecore4-32bit >= 4.14.38-lp151.9.5.1
  • libkdecore4-devel >= 4.14.25-13.1
  • libksuseinstall-devel >= 4.14.25-13.1
  • libksuseinstall1 >= 4.14.25-13.1
  • libksuseinstall1-32bit >= 4.14.38-lp151.9.5.1
Patchnames:
openSUSE-2019-1851
SUSE Package Hub for SUSE Linux Enterprise 12 SP3
  • kconf_update5 >= 5.32.0-7.1
  • kconfig-devel >= 5.32.0-7.1
  • kconfig-devel-32bit >= 5.55.0-lp151.2.5.1
  • kconfig-devel-64bit >= 5.32.0-7.1
  • kdelibs4 >= 4.14.33-7.2
  • kdelibs4-apidocs >= 4.14.33-7.2
  • kdelibs4-branding-upstream >= 4.14.33-7.2
  • kdelibs4-core >= 4.14.33-7.2
  • kdelibs4-doc >= 4.14.33-7.2
  • libKF5ConfigCore5 >= 5.32.0-7.1
  • libKF5ConfigCore5-32bit >= 5.55.0-lp151.2.5.1
  • libKF5ConfigCore5-64bit >= 5.32.0-7.1
  • libKF5ConfigCore5-lang >= 5.32.0-7.1
  • libKF5ConfigGui5 >= 5.32.0-7.1
  • libKF5ConfigGui5-32bit >= 5.55.0-lp151.2.5.1
  • libKF5ConfigGui5-64bit >= 5.32.0-7.1
  • libkde4 >= 4.14.33-7.2
  • libkde4-32bit >= 4.14.38-lp151.9.5.1
  • libkde4-64bit >= 4.14.33-7.2
  • libkde4-devel >= 4.14.33-7.2
  • libkdecore4 >= 4.14.33-7.2
  • libkdecore4-32bit >= 4.14.38-lp151.9.5.1
  • libkdecore4-64bit >= 4.14.33-7.2
  • libkdecore4-devel >= 4.14.33-7.2
  • libksuseinstall-devel >= 4.14.33-7.2
  • libksuseinstall1 >= 4.14.33-7.2
  • libksuseinstall1-32bit >= 4.14.38-lp151.9.5.1
  • libksuseinstall1-64bit >= 4.14.33-7.2
Patchnames:
openSUSE-2019-1851
SUSE Package Hub for SUSE Linux Enterprise 15 SP1
  • kconf_update5 >= 5.55.0-bp151.3.8.1
  • kconfig-devel >= 5.55.0-bp151.3.8.1
  • kconfig-devel-32bit >= 5.55.0-lp151.2.5.1
  • kconfig-devel-64bit >= 5.55.0-bp151.3.8.1
  • kdelibs4 >= 4.14.38-bp151.9.8.2
  • kdelibs4-apidocs >= 4.14.38-bp151.9.8.1
  • kdelibs4-branding-upstream >= 4.14.38-bp151.9.8.2
  • kdelibs4-core >= 4.14.38-bp151.9.8.2
  • kdelibs4-doc >= 4.14.38-bp151.9.8.2
  • libKF5ConfigCore5 >= 5.55.0-bp151.3.8.1
  • libKF5ConfigCore5-32bit >= 5.55.0-lp151.2.5.1
  • libKF5ConfigCore5-64bit >= 5.55.0-bp151.3.8.1
  • libKF5ConfigCore5-lang >= 5.55.0-bp151.3.8.1
  • libKF5ConfigGui5 >= 5.55.0-bp151.3.8.1
  • libKF5ConfigGui5-32bit >= 5.55.0-lp151.2.5.1
  • libKF5ConfigGui5-64bit >= 5.55.0-bp151.3.8.1
  • libkde4 >= 4.14.38-bp151.9.8.2
  • libkde4-32bit >= 4.14.38-lp151.9.5.1
  • libkde4-64bit >= 4.14.38-bp151.9.8.2
  • libkde4-devel >= 4.14.38-bp151.9.8.2
  • libkdecore4 >= 4.14.38-bp151.9.8.2
  • libkdecore4-32bit >= 4.14.38-lp151.9.5.1
  • libkdecore4-64bit >= 4.14.38-bp151.9.8.2
  • libkdecore4-devel >= 4.14.38-bp151.9.8.2
  • libksuseinstall-devel >= 4.14.38-bp151.9.8.2
  • libksuseinstall1 >= 4.14.38-bp151.9.8.2
  • libksuseinstall1-32bit >= 4.14.38-lp151.9.5.1
  • libksuseinstall1-64bit >= 4.14.38-bp151.9.8.2
Patchnames:
openSUSE-2019-1851
openSUSE-2019-1898
SUSE Package Hub for SUSE Linux Enterprise 15
  • kconf_update5 >= 5.45.0-bp150.3.8.2
  • kconfig-devel >= 5.45.0-bp150.3.8.2
  • kconfig-devel-32bit >= 5.55.0-lp151.2.5.1
  • kconfig-devel-64bit >= 5.45.0-bp150.3.8.2
  • kdelibs4 >= 4.14.38-bp150.3.8.1
  • kdelibs4-apidocs >= 4.14.38-bp150.3.8.1
  • kdelibs4-branding-upstream >= 4.14.38-bp150.3.8.1
  • kdelibs4-core >= 4.14.38-bp150.3.8.1
  • kdelibs4-doc >= 4.14.38-bp150.3.8.1
  • libKF5ConfigCore5 >= 5.45.0-bp150.3.8.2
  • libKF5ConfigCore5-32bit >= 5.55.0-lp151.2.5.1
  • libKF5ConfigCore5-64bit >= 5.45.0-bp150.3.8.2
  • libKF5ConfigCore5-lang >= 5.45.0-bp150.3.8.2
  • libKF5ConfigGui5 >= 5.45.0-bp150.3.8.2
  • libKF5ConfigGui5-32bit >= 5.55.0-lp151.2.5.1
  • libKF5ConfigGui5-64bit >= 5.45.0-bp150.3.8.2
  • libkde4 >= 4.14.38-bp150.3.8.1
  • libkde4-32bit >= 4.14.38-lp151.9.5.1
  • libkde4-64bit >= 4.14.38-bp150.3.8.1
  • libkde4-devel >= 4.14.38-bp150.3.8.1
  • libkdecore4 >= 4.14.38-bp150.3.8.1
  • libkdecore4-32bit >= 4.14.38-lp151.9.5.1
  • libkdecore4-64bit >= 4.14.38-bp150.3.8.1
  • libkdecore4-devel >= 4.14.38-bp150.3.8.1
  • libksuseinstall-devel >= 4.14.38-bp150.3.8.1
  • libksuseinstall1 >= 4.14.38-bp150.3.8.1
  • libksuseinstall1-32bit >= 4.14.38-lp151.9.5.1
  • libksuseinstall1-64bit >= 4.14.38-bp150.3.8.1
Patchnames:
openSUSE-2019-1851
openSUSE-2019-1855
openSUSE Leap 15.0
  • kconf_update5 >= 5.45.0-lp150.2.5.1
  • kconfig-devel >= 5.45.0-lp150.2.5.1
  • kconfig-devel-32bit >= 5.45.0-lp150.2.5.1
  • kdelibs4 >= 4.14.38-lp150.6.5.1
  • kdelibs4-apidocs >= 4.14.38-lp150.6.5.1
  • kdelibs4-branding-upstream >= 4.14.38-lp150.6.5.1
  • kdelibs4-core >= 4.14.38-lp150.6.5.1
  • kdelibs4-doc >= 4.14.38-lp150.6.5.1
  • libKF5ConfigCore5 >= 5.45.0-lp150.2.5.1
  • libKF5ConfigCore5-32bit >= 5.45.0-lp150.2.5.1
  • libKF5ConfigCore5-lang >= 5.45.0-lp150.2.5.1
  • libKF5ConfigGui5 >= 5.45.0-lp150.2.5.1
  • libKF5ConfigGui5-32bit >= 5.45.0-lp150.2.5.1
  • libkde4 >= 4.14.38-lp150.6.5.1
  • libkde4-32bit >= 4.14.38-lp150.6.5.1
  • libkde4-devel >= 4.14.38-lp150.6.5.1
  • libkdecore4 >= 4.14.38-lp150.6.5.1
  • libkdecore4-32bit >= 4.14.38-lp150.6.5.1
  • libkdecore4-devel >= 4.14.38-lp150.6.5.1
  • libksuseinstall-devel >= 4.14.38-lp150.6.5.1
  • libksuseinstall1 >= 4.14.38-lp150.6.5.1
  • libksuseinstall1-32bit >= 4.14.38-lp150.6.5.1
Patchnames:
openSUSE-2019-1851
openSUSE Leap 15.1
  • kconf_update5 >= 5.55.0-lp151.2.5.1
  • kconfig-devel >= 5.55.0-lp151.2.5.1
  • kconfig-devel-32bit >= 5.55.0-lp151.2.5.1
  • kdelibs4 >= 4.14.38-lp151.9.5.1
  • kdelibs4-apidocs >= 4.14.38-lp151.9.5.1
  • kdelibs4-branding-upstream >= 4.14.38-lp151.9.5.1
  • kdelibs4-core >= 4.14.38-lp151.9.5.1
  • kdelibs4-doc >= 4.14.38-lp151.9.5.1
  • libKF5ConfigCore5 >= 5.55.0-lp151.2.5.1
  • libKF5ConfigCore5-32bit >= 5.55.0-lp151.2.5.1
  • libKF5ConfigCore5-lang >= 5.55.0-lp151.2.5.1
  • libKF5ConfigGui5 >= 5.55.0-lp151.2.5.1
  • libKF5ConfigGui5-32bit >= 5.55.0-lp151.2.5.1
  • libkde4 >= 4.14.38-lp151.9.5.1
  • libkde4-32bit >= 4.14.38-lp151.9.5.1
  • libkde4-devel >= 4.14.38-lp151.9.5.1
  • libkdecore4 >= 4.14.38-lp151.9.5.1
  • libkdecore4-32bit >= 4.14.38-lp151.9.5.1
  • libkdecore4-devel >= 4.14.38-lp151.9.5.1
  • libksuseinstall-devel >= 4.14.38-lp151.9.5.1
  • libksuseinstall1 >= 4.14.38-lp151.9.5.1
  • libksuseinstall1-32bit >= 4.14.38-lp151.9.5.1
Patchnames:
openSUSE-2019-1851
openSUSE Tumbleweed
  • kconf_update5 >= 5.86.0-1.2
  • kconfig-devel >= 5.86.0-1.2
  • libKF5ConfigCore5 >= 5.86.0-1.2
  • libKF5ConfigCore5-lang >= 5.86.0-1.2
  • libKF5ConfigGui5 >= 5.86.0-1.2
Patchnames:
openSUSE Tumbleweed GA kconf_update5-5.86.0-1.2